xine-lib: xine-lib-1.2.12/src/video_dec/yuv.c File Reference

xine-lib 1.2.12

Data Structures | Macros | Typedefs | Functions
yuv.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <xine/xine_internal.h>`
`#include <xine/video_out.h>`
`#include <xine/buffer.h>`
`#include <xine/xineutils.h>`
`#include "bswap.h"`
`#include "group_raw.h"`

## Data Structures
struct | yuv_decoder_s

## Macros
#define | VIDEOBUFSIZE 128*1024

## Typedefs
typedef struct yuv_decoder_s | yuv_decoder_t

## Functions
static void | yuv_decode_data (video_decoder_t *this_gen, buf_element_t *buf)
static void | yuv_flush (video_decoder_t *this_gen)
static void | yuv_reset (video_decoder_t *this_gen)
static void | yuv_discontinuity (video_decoder_t *this_gen)
static void | yuv_dispose (video_decoder_t *this_gen)
static video_decoder_t * | open_plugin (video_decoder_class_t *class_gen, xine_stream_t *stream)
void * | decode_yuv_init_class (xine_t *xine, const void *data)

## Macro Definition Documentation

## ◆ VIDEOBUFSIZE

#define VIDEOBUFSIZE 128*1024

## Typedef Documentation

## ◆ yuv_decoder_t

typedef struct yuv_decoder_s yuv_decoder_t

## Function Documentation

## ◆ decode_yuv_init_class()

void * decode_yuv_init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References N_, NULL, open_plugin(), and video_decoder_class_s::open_plugin.

## ◆ open_plugin()

static video_decoder_t * open_plugin | ( | video_decoder_class_t * | class_gen,
|  | xine_stream_t * | stream
| ) |  |
| static

References NULL, yuv_decode_data(), yuv_discontinuity(), yuv_dispose(), yuv_flush(), and yuv_reset().

Referenced by decode_yuv_init_class().

## ◆ yuv_decode_data()

static void yuv_decode_data | ( | video_decoder_t * | this_gen,
|  | buf_element_t * | buf
| ) |  |
| static

References _x_meta_info_set_utf8(), _x_stream_info_set(), vo_frame_s::bad_frame, vo_frame_s::base, xine_bmiheader::biHeight, xine_bmiheader::biWidth, BUF_FLAG_ASPECT, BUF_FLAG_COLOR_MATRIX, BUF_FLAG_FRAME_END, BUF_FLAG_FRAME_START, BUF_FLAG_FRAMERATE, BUF_FLAG_PREVIEW, BUF_FLAG_SPECIAL, BUF_FLAG_STDHEADER, BUF_VIDEO_GREY, BUF_VIDEO_I420, BUF_VIDEO_YUY2, BUF_VIDEO_YV12, BUF_VIDEO_YVU9, buf_element_s::content, buf_element_s::decoder_flags, buf_element_s::decoder_info, vo_frame_s::draw, vo_frame_s::duration, vo_frame_s::flags, vo_frame_s::free, height, LOG_MODULE, NULL, vo_frame_s::pitches, buf_element_s::pts, vo_frame_s::pts, buf_element_s::size, buf_element_s::type, VO_BOTH_FIELDS, VO_GET_FRAME_MAY_FAIL, VO_SET_FLAGS_CM, width, xine_fast_memcpy, XINE_IMGFMT_YUY2, XINE_IMGFMT_YV12, XINE_META_INFO_VIDEOCODEC, XINE_STREAM_INFO_FRAME_DURATION, XINE_STREAM_INFO_VIDEO_HEIGHT, XINE_STREAM_INFO_VIDEO_RATIO, XINE_STREAM_INFO_VIDEO_WIDTH, XINE_VERBOSITY_LOG, xprintf, yuv9_to_yv12, yuy2_to_yuy2(), and yv12_to_yv12().

Referenced by open_plugin().

## ◆ yuv_discontinuity()

static void yuv_discontinuity | ( | video_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ yuv_dispose()

static void yuv_dispose | ( | video_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ yuv_flush()

static void yuv_flush | ( | video_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ yuv_reset()

static void yuv_reset | ( | video_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().